Bug 484704 - (libapogee) Review Request: libapogee - Library for Apogee CCD Cameras
Review Request: libapogee - Library for Apogee CCD Cameras
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 11:19 EST by Sergio Pascual
Modified: 2009-02-14 08:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-14 08:17:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2009-02-09 11:19:42 EST
Spec URL: http://sergiopr.fedorapeople.org/libapogee.spec
SRPM URL: http://sergiopr.fedorapeople.org/libapogee-2.2-1.fc10.src.rpm
Description: 
Apogee library is used by applications to control Apogee CCDs.
Comment 1 Jaroslav Reznik 2009-02-09 11:53:15 EST
rpmlint output:
libapogee.x86_64: W: shared-lib-calls-exit /usr/lib64/libapogeee.so.2.2 exit@GLIBC_2.2.5
libapogee.x86_64: W: shared-lib-calls-exit /usr/lib64/libapogeeu.so.2.2 exit@GLIBC_2.2.5

Please report upstream bug as for libindi. I'll continue later, I have to leave now, but from first view it looks OK for me.

License typo - it is GPLv2+ not GPL+
Comment 2 Jaroslav Reznik 2009-02-12 04:43:10 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f11 / i386, x86_64
     Build failure on: ppc, ppc64, see summary
 [!] Rpmlint output: not clean
     - libapogee.x86_64: W: shared-lib-calls-exit /usr/lib64/libapogeee.so.2.2 exit@GLIBC_2.2.5
     - libapogee.x86_64: W: shared-lib-calls-exit /usr/lib64/libapogeeu.so.2.2 exit@GLIBC_2.2.5
 [-] Package is not relocatable.
 [x] Buildroot is correct
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type: GPLv2+
     - SPEC file contains GPL+ 
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [x] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [x] Development .so files in -devel subpackage, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in koji.
     - koji dist-f11  
 [!] Package should compile and build into binary rpms on all supported
architectures.
     - package does not build on PPC, PPC64

       Building CXX object CMakeFiles/apogeeu.dir/ApnCamera_Linux.o
       error: 
       sys/io.h: No such file or directory

 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.

=== SUMMARY ===
- Ask upstream to fix rpmlint output
- Fix license
- Package should compile and build on PPC, PPC64! 
  * If the package does not successfully compile, build or work on an architecture, 
    then those architectures should be listed in the spec in ExcludeArch. Each architecture 
    listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the 
    package does not compile/build/work on that architecture. The bug number MUST be placed 
    in a comment, next to the corresponding ExcludeArch line. 
  * http://fedoraproject.org/wiki/Packaging/Guidelines#Architecture_Build_Failures
Comment 3 Sergio Pascual 2009-02-13 07:34:54 EST
Spec URL: http://sergiopr.fedorapeople.org/libapogee.spec
SRPM URL: http://sergiopr.fedorapeople.org/libapogee-2.2-2.fc10.src.rpm

I have fixed the license and submitted a new bug about library-calling-exit

Regarding ppc ppc64, there was already a bug filled about the problem. The solutions seems to be as easy as removing sys/io.h includes. 

https://sourceforge.net/tracker2/?func=detail&aid=2215787&group_id=90275&atid=593019

So I have created a patch that does exactly that. The package now builds in koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1124525
Comment 4 Jaroslav Reznik 2009-02-13 08:56:23 EST
Ok, thank you!

- license is OK
- build is OK

APPROVED
Comment 5 Sergio Pascual 2009-02-13 09:15:39 EST
New Package CVS Request
=======================
Package Name: libapogee
Short Description: Library for Apogee CCD Cameras
Owners: sergiopr
Branches: F-10 F-9
InitialCC:
Comment 6 Kevin Fenzi 2009-02-13 19:40:36 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.